import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostEditMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostEditMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostEditMessage, ResponseType>({
    mutationKey: chatQueryKeys.editMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.editMessage(data);
      return response.data;
    }
  });
};
